//---------------------------------------------------------------------------
// AFFICHAGE DU DEBUT DU MESSAGE OU DE L'ENTETE
#include <vcl.h>
#pragma hdrstop

#include "OutClock1.h"
#include "OutClock3.h"
#include "OutClock8.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm3 *Form3;
//---------------------------------------------------------------------------
__fastcall TForm3::TForm3(TComponent* Owner) : TForm(Owner)
{
}
//---------------------------------------------------------------------------
// Cration de la fiche // 02/05/2004
void __fastcall TForm3::FormCreate(TObject *Sender)
{
DEBUG_LINE
  UpDown1->Position = Form1->ini->ReadInteger(NOM_APPLI, "NbLigMsg", 10); // 02/05/2004
}
//---------------------------------------------------------------------------
void __fastcall TForm3::FormActivate(TObject *Sender)
{
DEBUG_LINE
	Edit1->SetFocus();
	Edit1->SelectAll(); // 10/06/2003
	BtnImpr->Enabled = RichEdit1->Lines->Text != "";
	BtnCopier->Enabled = RichEdit1->Lines->Text != "";
}
//---------------------------------------------------------------------------
void __fastcall TForm3::FormResize(TObject *Sender)
{
DEBUG_LINE
	RichEdit1->Width = Form3->Width - 40;
	RichEdit1->Height = Form3->Height - 160;
}
//---------------------------------------------------------------------------
// BOUTON Voir
void __fastcall TForm3::VoirClick(TObject *Sender)
{
DEBUG_LINE
	if (Edit1->Text.ToInt() < 10)
		Edit1->Text = "10";
	Form1->Afficherenmodetexte1Click(Voir);
	FormActivate(Sender); // 13/12/2012

}
//---------------------------------------------------------------------------
// Modification de la zone d'dition du Nb de lignes
void __fastcall TForm3::Edit1Change(TObject *Sender)
{
DEBUG_LINE
	try
	{
		if (Edit1->Text != "")
			Edit1->Text.ToInt();
	}
	catch(...)
	{
		Edit1->Undo();
		Beep();
	}
}
//---------------------------------------------------------------------------
// Bouton "Dfaut" 02/05/2004
void __fastcall TForm3::BtnDefautClick(TObject *Sender)
{
DEBUG_LINE
	Form1->ini->WriteInteger(NOM_APPLI, "NbLigMsg", UpDown1->Position);
}
//---------------------------------------------------------------------------
// Bouton Analyse du message 26/05/2004
void __fastcall TForm3::BtnAnalyserClick(TObject *Sender)
{
DEBUG_LINE
	if (!Form1->ListView1->SelCount)
		return;
	Form8->BoutonAnalyser->Tag = 1;
	Form8->ShowModal();
}
//---------------------------------------------------------------------------
// Bouton Supprimer 05/07/2004
void __fastcall TForm3::BitBtn1Click(TObject *Sender)
{
DEBUG_LINE
	if (Form1->ListView1->SelCount == 1  && UidlSuppr ==
		 Form1->ListView1->Items->Item[Form1->ListView1->Selected->Index]->SubItems->Strings[6])
	{
		Hide();
		Form1->SetFocus(); // 07/07/2004
		Form1->Supprimercemessage1Click(Sender /*Form1->Supprimercemessage1*/); //26/9/2009
	}
}
//---------------------------------------------------------------------------
// Appel de l'Aide
void __fastcall TForm3::BitBtn7Click(TObject *Sender)
{
DEBUG_LINE
	Form1->Aide(LoadStr(30000));
}
//---------------------------------------------------------------------------
// Imprime le contenu de la fentre // 02/07/2005
void __fastcall TForm3::BtnImprClick(TObject *Sender)
{
DEBUG_LINE
	Screen->Cursor = crAppStart;
	RichEdit1->SelStart = 0;
	ImprEntete(Label1->Caption, EnvoiDe->Text);
	ImprEntete(Label2->Caption, Pour->Caption);
	ImprEntete(Label3->Caption, Date->Caption);
	RichEdit1->SelText = "\n";
	RichEdit1->Print(Sujet->Caption);
	for (int i = 0 ; i < 4 ; i++)
		RichEdit1->Lines->Delete(0);
	Screen->Cursor = crDefault;
}
//---------------------------------------------------------------------------
// Insere une ligne d'entte // 03/07/2005
void __fastcall TForm3::ImprEntete(AnsiString Champ, AnsiString Contenu)
{
DEBUG_LINE
	RichEdit1->SelAttributes->Height += 1;
	RichEdit1->SelText = Champ + " ";
	RichEdit1->SelAttributes->Height += 1;
	RichEdit1->SelAttributes->Style = TFontStyles() << fsBold;;
	RichEdit1->SelText = Contenu + " \n";
}
//---------------------------------------------------------------------------
// Copie dans le PP le contenu de la fentre
void __fastcall TForm3::BtnCopierClick(TObject *Sender) // 13/12/2012
{
	RichEdit1->CopyToClipboard();
	RichEdit1->SetFocus();
}
//---------------------------------------------------------------------------

