//---------------------------------------------------------------------------
// Ligne d'un rejet : @spam.com,R,N
#include <vcl.h>
#pragma hdrstop

#include <typeinfo.h>

#include "OutClock1.h"
#include "OutClock6.h"
#include "OutClockRejets.h"
#include "OutClockJoker.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm6 *Form6;
// extern TIniFile *ini;
//---------------------------------------------------------------------------
__fastcall TForm6::TForm6(TComponent* Owner) : TForm(Owner)
{
}
//---------------------------------------------------------------------------
// Cration de fiche
// Boutons radio des Types (Exacte / Partielle) et Mots multiples 03/12/2003
void __fastcall TForm6::RadioGroupTypeClick(TObject *Sender) // profondemment modifi le 25/10/2004
{
DEBUG_LINE
	if (RadioGroupType->ItemIndex == 0) // exact
		EditType->Text = "";
	else if (RadioGroupType->ItemIndex == 1) // partiel
		EditType->Text = "";
	else if (RadioGroupType->ItemIndex == 2) // Mots Multiples
		EditType->Text = "";
	else if (RadioGroupType->ItemIndex == 3) // Partiel Mot seulement
		EditType->Text = "~";
	BtnOk->Enabled = Edit1->Text != "";
	if (Edit2->Text == "")
	{
		Edit2->Color = clWindow;
		LblOuiNon->Caption = "";
	}
	else if (Edit1->Text !=	"" && (Form1->CompareMasque(EditType->Text+Edit1->Text, Edit2->Text)
			 || (EditType->Text == '' && Form1->TesteMM(EditType->Text+Edit1->Text, Edit2->Text))))
	{
		LblOuiNon->Caption = LoadStr(1500); // Oui
		LblOuiNon->Font->Color = clGreen;
		Edit2->Color = (TColor)0x0080FF80;
	}
	else
  {
    LblOuiNon->Caption = LoadStr(1501); // Non
    LblOuiNon->Font->Color = clRed;
    Edit2->Color = (TColor)0x008080FF;
	}
  if (dynamic_cast<TEdit *>(Sender) != Edit2) // 28/10/2004
  {
    try // 25/10/2004
    {
			Edit1->SetFocus();
		}
		catch(...) {;}
		if (dynamic_cast<TEdit *>(Sender) != Edit1)
			Edit1->SelStart = 255;
	}
}
//---------------------------------------------------------------------------
// Activation de la Fiche
void __fastcall TForm6::FormActivate(TObject *Sender)
{
DEBUG_LINE
	RadioGroupDest->Visible = FormRejets->TabControl1->TabIndex == 2;
	Edit1->SetFocus();
	Edit1->SelStart = 255;
	BtnOk->Enabled = Edit1->Text != "";
	RadioGroupType->Columns = 1;
	switch (FormRejets->TabControl1->TabIndex)
	{
		case 0 : // Adresse
			RadioGroupType->Items->Text =     LoadStr(6001); break;
		case 1 : // Sujet
			RadioGroupType->Columns = 2;
			RadioGroupType->Items->Text =     LoadStr(6002); break;
		case 2 : // Destinataire
			RadioGroupType->Items->Text =     LoadStr(6003); break;
	}
	if (RadioButtonAccepter->Checked) // 07/05/2006
		RadioButtonAccepterClick(Sender);
	else
		RadioButtonRejeterClick(Sender);
	for (int i = 1; i <= 2 ; i++ )
		RadioGroupAvant->Items->Strings[i] = LoadStr(6009+i) +
					IntToStr(Form1->DelaiRejeterGarder)+ " sec.";
	RadioGroupReponse->Enabled = RadioGroupAvant->ItemIndex != 3; // 07/10/2007
}
//---------------------------------------------------------------------------
// Aide
void __fastcall TForm6::BitBtn7Click(TObject *Sender)
{
DEBUG_LINE
	Form1->Aide(LoadStr(30001));
}
//---------------------------------------------------------------------------
// Appel par boutons OK et Annuler
void __fastcall TForm6::BtnOkClick(TObject *Sender)
{
DEBUG_LINE
	if (ModalResult == true && RadioGroupType->ItemIndex == 2 && // Mots multiples
                                     (Edit1->Text.AnsiPos("*") || Edit1->Text.AnsiPos("?")))
  {
    Beep();
		ShowMessage(LoadStr(6004));

    ModalResult = false;
    return;
  }
  if (ModalResult == true && ( Edit1->Text == "*" || Edit1->Text.AnsiPos("\"")
																								|| Edit1->Text.AnsiPos(","))) // 10/10/2003
  {
    Beep();
		ShowMessage(LoadStr(6005));
		ModalResult = false;
    return;
  }
  if (ModalResult == true && RadioGroupType->ItemIndex == 2) // Mots multiples
  {
AnsiString AsMM = Edit1->Text;
    while (AsMM[1] == ' ')
      AsMM.Delete(1, 1);
    while (AsMM[AsMM.Length()] == ' ')
      AsMM.Delete(AsMM.Length(), 1);
int c;
    while ((c = AsMM.AnsiPos("  ")) > 0)
      AsMM.Delete(c, 1);
		Edit1->Text = AsMM;
    if (!Edit1->Text.AnsiPos(" "))
    {
      Beep();
      ShowMessage(LoadStr(6006));
      ModalResult = false;
      return;
    }
char *ptrBase = AsMM.c_str();
char *ptr = ptrBase;
    while (*++ptr != 0)
      if (*ptr == ' ' && (*(ptr+2) == ' ' || *(ptr+2) == 0 || ptr == ptrBase + 1)) // ptrBase + 1 le 07/12/2004 
      {
        Beep();
				ShowMessage(LoadStr(6007));
        ModalResult = false;
        return;
      }
  }
//  BtnDefaut->Enabled = false;
}
//---------------------------------------------------------------------------
// Bouton Dfaut
void __fastcall TForm6::BtnDefautClick(TObject *Sender)
{
DEBUG_LINE
	Form1->ini->WriteInteger(NOM_APPLI, "TypeRejet", RadioGroupType->ItemIndex);
	Form1->ini->WriteInteger(NOM_APPLI, "AvantRejet", RadioGroupAvant->ItemIndex);
	Form1->ini->WriteInteger(NOM_APPLI, "ReponseRejet", RadioGroupReponse->ItemIndex);
	Form1->ini->WriteInteger(NOM_APPLI, "ReponseInclure", RadioGroupInclure->ItemIndex);
	ShowMessage(LoadStr(6008));
}
//---------------------------------------------------------------------------
// Active ou non le groupe Inclure selon le bouton du groupe Rponse
void __fastcall TForm6::RadioGroupReponseClick(TObject *Sender)
{
DEBUG_LINE
	RadioGroupInclure->Enabled = RadioGroupReponse->ItemIndex;
}
//---------------------------------------------------------------------------
// Action dans les radio boutons GroupAvant 07/10/2007
void __fastcall TForm6::RadioGroupAvantClick(TObject *Sender)
{
DEBUG_LINE
	if (RadioGroupAvant->ItemIndex == 3) {
		RadioGroupInclure->ItemIndex = 0;
		RadioGroupReponse->ItemIndex = 0;
	}
	RadioGroupInclure->Enabled = RadioGroupAvant->ItemIndex != 3;
	RadioGroupReponse->Enabled = RadioGroupInclure->Enabled;
}
//---------------------------------------------------------------------------

void __fastcall TForm6::RadioButtonAccepterClick(TObject *Sender)
{
DEBUG_LINE
RadioGroupAvant->Enabled = false;
RadioGroupReponse->Enabled = false;
RadioGroupInclure->Enabled = false;
RadioButtonRejeter->Color = (TColor)0x00E0E0FF;
RadioButtonAccepter->Color = (TColor)0x00A0FFA0;
ShapeAccepter->Brush->Color = (TColor)0x00A0FFA0;
ShapeRejeter->Brush->Color = (TColor)0x00E0E0FF;
// BtnDefaut->Enabled = false;
}
//---------------------------------------------------------------------------

void __fastcall TForm6::RadioButtonRejeterClick(TObject *Sender)
{
DEBUG_LINE
RadioGroupAvant->Enabled = true;
RadioGroupReponse->Enabled = true;
RadioGroupInclure->Enabled = RadioGroupReponse->ItemIndex;
RadioButtonAccepter->Color = (TColor)0x00E0FFE0;
RadioButtonRejeter->Color = (TColor)0x00A0A0FF;
ShapeRejeter->Brush->Color = (TColor)0x00A0A0FF;
ShapeAccepter->Brush->Color = (TColor)0x00E0FFE0;
}
//---------------------------------------------------------------------------
void __fastcall TForm6::LabelMouseEnter(TObject *Sender)
{
DEBUG_LINE
	((TLabel *)(Sender))->Font->Color = clFuchsia;
}
//---------------------------------------------------------------------------
void __fastcall TForm6::LabelMouseLeave(TObject *Sender)
{
DEBUG_LINE
	((TLabel *)(Sender))->Font->Color = clBlue;
}
//---------------------------------------------------------------------------
// Aide sur la rponse
void __fastcall TForm6::Label2Click(TObject *Sender)
{
DEBUG_LINE
	ShowMessage(LoadStr(6009));
}
//---------------------------------------------------------------------------
// Lien Aide sur les jokers
void __fastcall TForm6::Label4Click(TObject *Sender)
{
DEBUG_LINE
	Form1->Aide(LoadStr(30006));
}
//---------------------------------------------------------------------------

void __fastcall TForm6::BtnJokerClick(TObject *Sender)
{
	FormJoker->ShowModal();
}
//---------------------------------------------------------------------------

