//---------------------------------------------------------------------------
// FICHE DE CREATION, MODIFICATION OU SUPPRESSION DE BOITE
#include <vcl.h>
#pragma hdrstop

#include "OutClock.h"
#include "OutClock2.h"
#include "OutClock1.h"
#include "OutClockParam.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm2 *Form2;
extern TStringList *Sections;
// extern TIniFile *ini;
AnsiString AsOld, AsNew;
extern char cAvant[];
//---------------------------------------------------------------------------
__fastcall TForm2::TForm2(TComponent* Owner) : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm2::FormActivate(TObject *Sender)
{
DEBUG_LINE
	AsOld = EditLibelleBoite->Text;
	EditLibelleBoite->SetFocus();
	CheckBoxAppliqueRejetsClick(Sender); // 10/03/2008
}
//---------------------------------------------------------------------------
// BOUTON Ok
void __fastcall TForm2::BtnOkClick(TObject *Sender)
{
DEBUG_LINE
AnsiString GrCap;
	AsNew = EditLibelleBoite->Text;
	if (BtnOk->Caption == LoadStr(1044)) // "Supprimer"
	{
		SupprBoite();
		GrCap.sprintf(LoadStr(1092).c_str(), Form1->ListView2->Items->Count,
																						Form1->ListView2->Items->Count > 1 ? "s " : " ");
		Form1->GroupBox1->Caption = GrCap;
		return;
	}
	if (LowerCase(AsNew) == "outclock") // 30/07/2006
	{
		Forms::Application->MessageBox(LoadStr(2018).c_str(), LoadStr(2005).c_str(), MB_ICONEXCLAMATION);
		Form2->ModalResult = 0;
		EditLibelleBoite->SetFocus();
		return;
	}
	for (int i = 0 ; i < Form1->ListView2->Items->Count ; i++)
	{
		if (EditLibelleBoite->Text != AsOld && LowerCase(EditLibelleBoite->Text) ==
																				LowerCase(Form1->ListView2->Items->Item[i]->Caption))
		{
AnsiString AsMsg = LoadStr(2003) + EditLibelleBoite->Text + LoadStr(2004);
			Forms::Application->MessageBox(AsMsg.c_str(), LoadStr(2005).c_str(), MB_ICONEXCLAMATION);
			Form2->ModalResult = 0;
			EditLibelleBoite->Text = AsOld;
			EditLibelleBoite->SelectAll();
			EditLibelleBoite->SetFocus();
			return;
		}
	}
	if (Edit3->Text != Edit4->Text)
	{
		Forms::Application->MessageBox(LoadStr(2006).c_str(), LoadStr(2005).c_str(), MB_ICONEXCLAMATION);
		Form2->ModalResult = 0;
		Edit3->SetFocus();
		return;
	}
	if (EditLibelleBoite->Text == "" || Edit1->Text == "" || Edit2->Text == "" ||
																Edit3->Text == "" || Edit4->Text == "" || Edit5->Text == "")
	{
		Forms::Application->MessageBox(LoadStr(2007).c_str(), LoadStr(2005).c_str(), MB_ICONEXCLAMATION);
		Form2->ModalResult = 0;
    return;
  }
  try
  {
    Edit5->Text.ToInt();
	}
  catch (Exception &exception)
  {
    Forms::Application->MessageBox(LoadStr(2008).c_str(), LoadStr(2005).c_str(),MB_ICONEXCLAMATION);
    Form2->ModalResult = 0;
    Edit5->SetFocus();
    return;
	}
	if (EditDomaine->Text != "" && ListBoxAdresseExcl->Items->Count == 0)
	{
		Forms::Application->MessageBox(LoadStr(2017).c_str(),LoadStr(1076).c_str(),MB_ICONEXCLAMATION);
		EditAdresseExcl->SetFocus();
		Form2->ModalResult = 0;
		return;
	}
	if (EditDomaine->Text == "" && ListBoxAdresseExcl->Items->Count > 0)
	{
		Forms::Application->MessageBox(LoadStr(2016).c_str(),LoadStr(1076).c_str(),MB_ICONEXCLAMATION);
		EditDomaine->SetFocus();
		Form2->ModalResult = 0;
		return;
	}
	if (BtnOk->Caption == LoadStr(1042)) // Modifier
	{
		ModifBoite();
	}
	else
		if (BtnOk->Caption == LoadStr(1040)) // Crer
		{
			Form1->CreerBoite(AsNew);
		}
  GrCap.sprintf(LoadStr(1092).c_str(), Form1->ListView2->Items->Count,
                                            Form1->ListView2->Items->Count > 1 ? "s " : " ");
  Form1->GroupBox1->Caption = GrCap;
}
//---------------------------------------------------------------------------
// Option Suppression d'une boite
void __fastcall TForm2::SupprBoite()
{
DEBUG_LINE
int IdxSection;
	Form1->ini->EraseSection(AsOld);
	IdxSection = Sections->IndexOf(AsOld);
	Sections->Delete(IdxSection);
	sBoite *Boite = (sBoite*)Form1->ListView2Data(Form2->Tag);
	TSslPop3Cli *IdPop3 = Boite->IdPop3;
	delete IdPop3;
	TTimer *MonTimer = Boite->Timer;
	delete MonTimer;
	Form1->ListView2->Items->Delete(Form2->Tag);
	delete Boite;
}
//---------------------------------------------------------------------------
// Option modification d'une boite
void __fastcall TForm2::ModifBoite(void)
{
DEBUG_LINE
sBoite *Boite;
TSslPop3Cli *IdPop3;
TTimer *MonTimer;
int i, Nature=0;
AnsiString AsD, MdPCode;
//  EditDomaine->Text = LowerCase(EditDomaine->Text);
//  MemoDest->Lines->Text = LowerCase(MemoDest->Lines->Text);
TListItem *pItem = Form1->ListView2->Selected;
	pItem->SubItems->Strings[0] = ""; // Nb de messages pour cette boite - modifi le  04/03/2013
	pItem->SubItems->Strings[1] = Edit2->Text; // modifi le  04/03/2013
	pItem->SubItems->Strings[2] = Edit5->Text; // modifi le  04/03/2013
	pItem->SubItems->Strings[3] = Edit1->Text;
	AsD = EditDomaine->Text;
	for (int a = 0 ; a < ListBoxAdresseExcl->Items->Count ; a++)
		AsD += ("," + ListBoxAdresseExcl->Items->Strings[a]);
	pItem->SubItems->Strings[4] = AsD; // 27/06/2004
	pItem->SubItems->Strings[5] = cAvant[ComboBoxTypeRej->ItemIndex]; // 30/06/2004
	if (CheckBoxExcl1->Checked) Nature = 1;
	if (RB1AutreDomaine->Checked) Nature += 2;
	if (CheckBoxExcl2->Checked) Nature += 4;
	if (RB2AutreDomaine->Checked) Nature += 8;
//  if (RadioGroupTousDomaines->ItemIndex) Nature += 4;
	pItem->SubItems->Strings[6] = IntToStr(Nature);
	Boite = (sBoite*)pItem->Data;
	IdPop3 = Boite->IdPop3;
	IdPop3->UserName = Edit2->Text;
	IdPop3->Host = Edit1->Text;
	IdPop3->PassWord = Edit3->Text;
	Boite->MotDePasse = Edit3->Text;
	MdPCode = Form1->EcritMdP(Edit3->Text);
	if (Form1->bMotDePasse)
		MdPCode = Form1->Crypte(MdPCode);
	MonTimer = (TTimer*)Boite->Timer;
	MonTimer->Enabled = false;
	MonTimer->Interval = StrToInt(Edit5->Text);
	Boite->Demarrage = CheckBox1->Checked;
	Boite->APoP = CheckBoxAPOP->Checked;
	Boite->AppliqueRejets = CheckBoxAppliqueRejets->Checked; // 14/10/2007
	Boite->Ssl = CheckBoxSsl->Checked; // 10/11/2008
	Boite->Port = StrToInt(EditPortSSL->Text); // 10/11/2008
	IdPop3->Port = Boite->Port;
	if (Boite->Ssl) // 10/11/2008
	{
	 IdPop3->SslContext = Form1->SslContext1; // 10/11/2008
	 IdPop3->SslType = pop3TlsImplicit; // 10/11/2008
	}
	else
	{
	 IdPop3->SslContext = NULL; // 10/11/2008
	 IdPop3->SslType = pop3TlsNone; // 10/11/2008
	}
	pItem->ImageIndex = Boite->AppliqueRejets == true ? 8 : 15; // 10/03/2008
	if (AsNew != AsOld) // Changement du libell de la boite
	{
		pItem->Caption = AsNew;
		Form1->BitBtn4Click(this); // On reconstruit Sections et ini
	}
	else
	{
		Form1->ini->WriteString(AsNew, "Pop3Mdp", MdPCode);
		Form1->ini->WriteInteger(AsNew, "Intervalle", MonTimer->Interval);
		Form1->ini->WriteString(AsNew, "Pop3ID", Edit2->Text);
		Form1->ini->WriteString(AsNew, "Pop3Mail", Edit1->Text);
		Form1->ini->WriteBool(AsNew, "Pop3Demar", CheckBox1->Checked);
		Form1->ini->WriteBool(AsNew, "Pop3APOP", CheckBoxAPOP->Checked);
		Form1->ini->WriteBool(AsNew, "Pop3SSL", CheckBoxSsl->Checked); // 10/11/2008
		Form1->ini->WriteInteger(AsNew, "Pop3Port", Boite->Port); // 10/11/2008
		Form1->ini->WriteBool(AsNew, "AppliqueRejets", CheckBoxAppliqueRejets->Checked); // 14/10/2007
		Form1->ini->WriteString(AsNew, "DestUnique", AsD); // 03/07/2004
		Form1->ini->WriteInteger(AsNew, "TypeRejet", ComboBoxTypeRej->ItemIndex); // 30/06/2004
		Form1->ini->WriteInteger(AsNew, "NatureRejet", Nature); // 30/06/2004
	}
	MonTimer->Interval *= 1000;
	MonTimer->Enabled = true;
	i = pItem->Index;
	PostMessage(Form1->ListView2->Handle, LVM_ENSUREVISIBLE, i, false);
	Form1->ListView2->Items->Item[i]->Selected = true;
	Form1->ListView2->Items->Item[i]->Focused = true;
	EditLibelleBoite->SetFocus();
}
//---------------------------------------------------------------------------
// BOUTON Annuler
void __fastcall TForm2::BtnCancelClick(TObject *Sender)
{
DEBUG_LINE
	if (Form2->Tag != -1) // Pas cration
	{
		sBoite *Boite = (sBoite*)Form1->ListView2Data(Form2->Tag);
		TTimer *MonTimer;
		MonTimer = Boite->Timer;
		MonTimer->Enabled = true;
		EditLibelleBoite->SetFocus();
	}
}
//---------------------------------------------------------------------------
// Validation des caractres du libell de bote
void __fastcall TForm2::EditLibelleBoiteKeyPress(TObject *Sender, char &Key)
{
DEBUG_LINE
	if (Key == '[' || Key == ']')
		Key = 0x7; // beep
}
//---------------------------------------------------------------------------
// Bouton Aide // 27/06/2004
void __fastcall TForm2::BtnAideClick(TObject *Sender)
{
DEBUG_LINE
	Form1->Aide(LoadStr(30005));
}
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
// Bouton Avanc
void __fastcall TForm2::BtnAvanceClick(TObject *Sender)
{
DEBUG_LINE
	if (BtnAvance->Tag == 0)
	{
		ClientHeight = 280;
		GroupBox2->Visible = false;
		BtnAvance->Caption = LoadStr(2012);
		BtnAvance->Tag = 1;
	}
	else
	{
		ClientHeight = 587;
		GroupBox2->Visible = true;
		BtnAvance->Caption = LoadStr(2013);
		BtnAvance->Tag = 0;
	}
}
//---------------------------------------------------------------------------
// Ajouter un lment  la liste des adresses autorises
void __fastcall TForm2::BitBtn1Click(TObject *Sender)
{
DEBUG_LINE
AnsiString As = EditAdresseExcl->Text;
int i;
	EditAdresseExcl->SetFocus();
	if ((i = As.AnsiPos("@")) > 0)
		As.Delete(i, 255);
	if (As > "")
	{
		for (i = 0 ; i < ListBoxAdresseExcl->Items->Count ; i++)
			if (ListBoxAdresseExcl->Items->Strings[i] == As) // Est dj dans la liste
			{
				Beep();
				return;
			}
		ListBoxAdresseExcl->Items->Add(As); // ListBoxAdresseExcl a t dfinie sorted=true 05/09/2009
		EditAdresseExcl->Text = "";
		Enabl(true);
	}
}
//---------------------------------------------------------------------------
// Supprimer un lment de la liste des adresses autorises
void __fastcall TForm2::BitBtn2Click(TObject *Sender)
{
DEBUG_LINE
	for (int i = 0; i < ListBoxAdresseExcl->Items->Count; i++)
  {
    if (ListBoxAdresseExcl->Selected[i])
    {
      EditAdresseExcl->Text = ListBoxAdresseExcl->Items->Strings[i];
      ListBoxAdresseExcl->Items->Delete(i);
      break;
		}
  }
  Enabl(ListBoxAdresseExcl->Items->Count > 0 && EditDomaine->Text !="");
  BitBtn2->Enabled = false;
}
//---------------------------------------------------------------------------
// 09/09/2004 modifie le 13/09/2004
void __fastcall TForm2::ListBoxAdresseExclEnter(TObject *Sender)
{
DEBUG_LINE
	BitBtn2->Enabled = false;
	for (int i = 0; i < ListBoxAdresseExcl->Items->Count; i++)
		if (ListBoxAdresseExcl->Selected[i])
			BitBtn2->Enabled = true;
}
//---------------------------------------------------------------------------
// 09/09/2004
void __fastcall TForm2::EditAdresseExclChange(TObject *Sender)
{
DEBUG_LINE
	BitBtn1->Enabled = EditAdresseExcl->Text != "";
	if (BitBtn1->Enabled)
		BitBtn1->Default = true;
}
//---------------------------------------------------------------------------
// 09/09/2004
void __fastcall TForm2::EditDomaineChange(TObject *Sender)
{
DEBUG_LINE
AnsiString AsDomaine = EditDomaine->Text;
int i;
	if ((i = AsDomaine.AnsiPos("@")) > 0)
	{
		AsDomaine.Delete(1, i);
		EditDomaine->Text = AsDomaine;
	}
	EditAdresseExcl->Enabled = EditDomaine->Text != "";
	BitBtn1->Enabled = EditAdresseExcl->Enabled & EditAdresseExcl->Text != "";
	Enabl(EditDomaine->Text != "" & ListBoxAdresseExcl->Items->Count > 0);
	RB1MemeDomaine->Caption = LoadStr(2014) + EditDomaine->Text;
	RB2MemeDomaine->Caption = RB1MemeDomaine->Caption;
}
//---------------------------------------------------------------------------
// 14/11/2004
void __fastcall TForm2::CheckBoxExcl1Click(TObject *Sender)
{
DEBUG_LINE
	if (!CheckBoxExcl1->Checked && !CheckBoxExcl2->Checked)
		CheckBoxExcl2->Checked = true; // au moins une case doit tre coche
}
//---------------------------------------------------------------------------
// 12/11/2004
void __fastcall TForm2::CheckBoxExcl2Click(TObject *Sender)
{
DEBUG_LINE
	if (!CheckBoxExcl1->Checked && !CheckBoxExcl2->Checked)
		CheckBoxExcl1->Checked = true; // au moins une case doit tre coche
}
//---------------------------------------------------------------------------
// 17/11/2004
void __fastcall TForm2::Enabl(bool activer)
{
DEBUG_LINE
	ComboBoxTypeRej->Enabled = activer;
	Panel2->Enabled = activer;
	Panel3->Enabled = activer;
}
//---------------------------------------------------------------------------
// 10/03/2008
void __fastcall TForm2::CheckBoxAppliqueRejetsClick(TObject *Sender)
{
FiltreOn->Visible = CheckBoxAppliqueRejets->Checked;
FiltreOff->Visible = !CheckBoxAppliqueRejets->Checked;
}
//---------------------------------------------------------------------------
// Changement checkbox SSL
void __fastcall TForm2::CheckBoxSslMouseUp(TObject *Sender, TMouseButton Button,
			TShiftState Shift, int X, int Y)
{
	if (CheckBoxSsl->Checked)
	{
		EditPortSSL->Text = 995;
		Forms::Application->MessageBox(LoadStr(2020).c_str(),LoadStr(2019).c_str(),MB_ICONEXCLAMATION);
	}
	else
		EditPortSSL->Text = 110;
}
//---------------------------------------------------------------------------

