//---------------------------------------------------------------------------
/* Compare les valeurs dans l'entte de actualites.html :
	<meta name="dateMaJ" content="20120912">
	<meta name="versionOutClock" content="OutClock V 3.9.2">
avec OutClock.ini->DateActualites et OUTCLOCKVERSION
*/
#include <vcl.h>
#pragma hdrstop

#include "OutClockHTTP.h"
#include "OutClock1.h"
#pragma package(smart_init)
extern AnsiString OUTCLOCKVERSION;
//extern AnsiString VERSIONAIDE;
//extern AnsiString SITEAIDE;
THttpCli *HttpVerifVersion;
//---------------------------------------------------------------------------
__fastcall OutClockHTTP::OutClockHTTP(bool CreateSuspended) : TThread(CreateSuspended)
{
}
//---------------------------------------------------------------------------
void __fastcall OutClockHTTP::Execute()
{
	/*Synchronize(*/Synchro();
}
//---------------------------------------------------------------------------
// Fonction Synchronize
void __fastcall OutClockHTTP::Synchro(void)
{
	if ((int)(Now().CurrentDate()) - Form1->ini->ReadInteger(NOM_APPLI, "DelaiVersion", 0)< 1)
	{
		Form1->AfficheSB(0, LoadStr(1100)); // "Prt" 29/09/2007
		return; // Vrification de la version 1 fois par jour au maximum 15/10/2003
	}
TStream *DataIn;
	Liste = new TStringList;
	Form1->AfficheSB(1, LoadStr(9001));
	Form1->ini->WriteInteger(NOM_APPLI, "DelaiVersion", Now().CurrentDate());
	HttpVerifVersion = new THttpCli(Form1);
	HttpVerifVersion->Agent = "Mozilla/3.0 (compatible; " + OUTCLOCKVERSION + ")";
	HttpVerifVersion->URL = "http://www.outclock.org/actualites.html"; // 12/09/2012 - LoadStr(9005); // VERSION.htm ou VERSION_EN.htm
	HttpVerifVersion->OnDocBegin = HttpVerifVersionDocBegin;
	HttpVerifVersion->OnDocEnd = HttpVerifVersionDocEnd;
	HttpVerifVersion->RcvdStream = NULL;
	try
	{
		HttpVerifVersion->Get();
	}
	catch (Exception &exception)
	{
		HttpVerifVersionDocEnd(NULL);
		delete Liste;
		delete HttpVerifVersion;
		Form1->AfficheSB(1, "");
		return;
	}
	if (!FileExists(HttpVerifVersion->DocName))
	{
		delete Liste;
		delete HttpVerifVersion;
		Form1->AfficheSB(1, "");
		return;
	}
	DataIn = new TFileStream(HttpVerifVersion->DocName, fmOpenRead);
	Liste->LoadFromStream(DataIn);
	delete DataIn;
	DeleteFile(HttpVerifVersion->DocName);
AnsiString HintPourLabel2 = "Voir les nouvelles sur le site Internet OutClock";
	for (int j = 0, p ; j < Liste->Count ; j++)
	{
		if (Liste->Strings[j].AnsiPos("dateMaJ")) // dbut 16/09/2012
		{
			Form1->DateActualites = Liste->Strings[j];
			p = Form1->DateActualites.AnsiPos("content=");
			Form1->DateActualites.Delete(1, p+8);
			Form1->DateActualites.Delete(9, 255);
			if (Form1->DateActualites > Form1->ini->ReadString(NOM_APPLI, "DateActualites", ""))
			{
				Form1->Label2->Caption = "du nouveau pour OutClock !";
				Form1->Label2->Cursor = crHandPoint;
				Form1->Label2->Font->Color = clRed;
				Form1->Label2->Font->Style = TFontStyles() << fsUnderline;
				Form1->Label2->Hint = HintPourLabel2;
				Form1->Label2->ShowHint = true;
				Form1->Label2->OnClick = Form1->Label2Click;
				PageInternetActualites();
				break;
			}
			continue;
		}
		if (Liste->Strings[j].AnsiPos("versionOutClock"))
		{
AnsiString versionOutClock = Liste->Strings[j];
			p = versionOutClock.AnsiPos("content=");
			versionOutClock.Delete(1, p+8);
			p = versionOutClock.AnsiPos(">");
			versionOutClock.Delete(p-1, 255);
			if (versionOutClock > OUTCLOCKVERSION)
			{
				Form1->Label2->Caption = "nouvelle version OutClock !";
				Form1->Label2->Cursor = crHandPoint;
				Form1->Label2->Font->Color = clRed;
				Form1->Label2->Font->Style = TFontStyles() << fsUnderline;
				Form1->Label2->Hint = HintPourLabel2;
				Form1->Label2->ShowHint = true;
				Form1->Label2->OnClick = Form1->Label2Click;
				PageInternetActualites();
			}
			break;
		} // fin 16/09/2012
	}
	delete Liste;
	delete HttpVerifVersion;
	Form1->AfficheSB(1, OUTCLOCKVERSION);
	Form1->AfficheSB(0, LoadStr(1100)); // "Prt" 29/09/2007
}
//---------------------------------------------------------------------------
// Dbut lecture du document de version (HTTP)
void __fastcall OutClockHTTP::HttpVerifVersionDocBegin(TObject *Sender)
{
	HttpVerifVersion->RcvdStream = new TFileStream(HttpVerifVersion->DocName, fmCreate);
}
//---------------------------------------------------------------------------
// Fin lecture du document de version (HTTP)
void __fastcall OutClockHTTP::HttpVerifVersionDocEnd(TObject *Sender)
{
	if (HttpVerifVersion->RcvdStream)
	{
		delete HttpVerifVersion->RcvdStream;
		HttpVerifVersion->RcvdStream = NULL;
	}
}
//---------------------------------------------------------------------------
// Dfinit la page  ouvrir quand clique sur Form1->Label2
// Retrouve dans la page actualites.html la ligne comportant l'URL  lancer
void __fastcall OutClockHTTP::PageInternetActualites(void)
{
	for (int j = 0, p ; j < Liste->Count ; j++)
	{
		if (Liste->Strings[j].AnsiPos("PageActualites")) // dbut 16/09/2012
		{
			Form1->PageActu = Liste->Strings[j];
			p = Form1->PageActu.AnsiPos("content=");
			Form1->PageActu.Delete(1, p+8);
			p = Form1->PageActu.AnsiPos(">");
			Form1->PageActu.Delete(p-1, 255);
			break;
		}
	}
}
