//---------------------------------------------------------------------------
// Restauration des fichiers sauvegards - 21/01/2008
#include <vcl.h>
#pragma hdrstop

#include "OutClockRestaur.h"
#include "OutClock1.h"
#include <FileCtrl.hpp>
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFormRestaur *FormRestaur;
AnsiString Extensions[4] = {".ini",".rej",".rjs", ".rjd"};
AnsiString NomProg;
//---------------------------------------------------------------------------
__fastcall TFormRestaur::TFormRestaur(TComponent* Owner) : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TFormRestaur::FormCreate(TObject *Sender)
{
TListItem *pItem;
TSearchRec SearchRec;
TDateTime dt;
AnsiString Fic, Fic2;

	NomProg = ExtractFileName(ChangeFileExt(Forms::Application->ExeName, ""));
	StaticTextRep->Caption = GetCurrentDir() + LoadStr(3034).SubString(2,255);; // ExtractFilePath(Application->ExeName) + LoadStr(3034).SubString(3,255);
	for (int f=0 ; f < 4 ; f++)
	{
		Fic = LoadStr(3034) + NomProg + Extensions[f];
		for (int i=1 ; i <= Form1->iNbSauv; i++)
		{
			Fic2 = Fic + IntToStr(i);
			if (FileExists(Fic2))
			{
				switch (f)
				{
					case 0 : pItem = ListViewParam->Items->Add();  break;
					case 1 : pItem = ListViewExp->Items->Add(); 	 break;
					case 2 : pItem = ListViewSujets->Items->Add(); break;
					case 3 : pItem = ListViewDest->Items->Add();   break;
				}
				pItem->Caption = Fic2;
				if (!FindFirst(Fic2, faAnyFile, SearchRec))
				{
					dt = FileDateToDateTime(SearchRec.Time);
					pItem->SubItems->Add(dt.DateTimeString());
				}
			}
		}
	}
}
//---------------------------------------------------------------------------
// Boutin "Annuler"
void __fastcall TFormRestaur::BtnAnnuleClick(TObject *Sender)
{
	Close();
}
//---------------------------------------------------------------------------
// Changement d'onglet
void __fastcall TFormRestaur::PageControl1Change(TObject *Sender)
{
	switch (PageControl1->TabIndex)
	{
		case 0 :    BtnRestaure->Enabled = ListViewParam->SelCount; break;
		case 1 :    BtnRestaure->Enabled = ListViewExp->SelCount; break;
		case 2 :    BtnRestaure->Enabled = ListViewSujets->SelCount; break;
		case 3 :    BtnRestaure->Enabled = ListViewDest->SelCount; break;
	}
}
//---------------------------------------------------------------------------
// Changement de slection dans les ListView
void __fastcall TFormRestaur::ListViewParamChange(TObject *Sender, TListItem *Item,
			TItemChange Change)
{
	BtnRestaure->Enabled = ((TListView *)Sender)->SelCount;
}
//---------------------------------------------------------------------------
// Bouton "Restaurer"
void __fastcall TFormRestaur::BtnRestaureClick(TObject *Sender)
{
TListView *TLV;
TListItem *pItem;
AnsiString FichierRest, Fichier;
	switch (PageControl1->TabIndex)
	{
		case 0 : TLV = ListViewParam;	 break;
		case 1 : TLV = ListViewExp; 	 break;
		case 2 : TLV = ListViewSujets; break;
		case 3 : TLV = ListViewDest;   break;
	}
	FichierRest = (TLV->Items->Item[TLV->Selected->Index])->Caption;
	Fichier = NomProg + Extensions[PageControl1->TabIndex]; // OutClock.ini ou OutClock.rej ou OutClock.rjs ou OutClock.rjd
	try
	{
		DeleteFile(NomProg + LoadStr(9501)); // .sauv
		if (RenameFile(Fichier, NomProg + LoadStr(9501)))
			if (RenameFile(FichierRest, Fichier))
				if (RenameFile(NomProg + LoadStr(9501), FichierRest))
				{
					ShowMessage(LoadStr(9502)); // L'opration de restauration a russi\nOutClock devra tre relanc
					Close();
					Forms::Application->Terminate();
				}
		ShowMessage(LoadStr(9503)); // Echec de l'opration de restauration
	}
	catch (...)
	{
		ShowMessage(LoadStr(9504)); // Problme pendant l'opration de restauration
	}
	Close();
}
//---------------------------------------------------------------------------
// Fermeture de la fiche
void __fastcall TFormRestaur::FormClose(TObject *Sender, TCloseAction &Action)
{
	BtnRestaure->Enabled = false;
}
//---------------------------------------------------------------------------


void __fastcall TFormRestaur::BitBtn1Click(TObject *Sender)
{
DEBUG_LINE
	Form1->Aide(LoadStr(30008));
}
//---------------------------------------------------------------------------

